StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Typedefs
- Enumerations
- Enumerator
- Macros

- s
- t

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages

### - s -

- STARPU_ANY_WORKER : starpu_worker.h
- STARPU_BCSR_INTERFACE_ID : starpu_data_interfaces.h
- STARPU_BLOCK_INTERFACE_ID : starpu_data_interfaces.h
- STARPU_COMMON : starpu_perfmodel.h
- STARPU_COO_INTERFACE_ID : starpu_data_interfaces.h
- STARPU_CPU_DEFAULT : starpu_perfmodel.h
- STARPU_CPU_RAM : starpu_data.h
- STARPU_CPU_WORKER : starpu_worker.h
- STARPU_CSR_INTERFACE_ID : starpu_data_interfaces.h
- STARPU_CUDA_DEFAULT : starpu_perfmodel.h
- STARPU_CUDA_RAM : starpu_data.h
- STARPU_CUDA_WORKER : starpu_worker.h
- STARPU_FORKJOIN : starpu_task.h
- STARPU_HISTORY_BASED : starpu_perfmodel.h
- STARPU_MATRIX_INTERFACE_ID : starpu_data_interfaces.h
- STARPU_MAX_INTERFACE_ID : starpu_data_interfaces.h
- STARPU_MULTIFORMAT_INTERFACE_ID : starpu_data_interfaces.h
- STARPU_NL_REGRESSION_BASED : starpu_perfmodel.h
- STARPU_NONE : starpu_data.h
- STARPU_OPENCL_DEFAULT : starpu_perfmodel.h
- STARPU_OPENCL_RAM : starpu_data.h
- STARPU_OPENCL_WORKER : starpu_worker.h
- STARPU_PER_ARCH : starpu_perfmodel.h
- STARPU_R : starpu_data.h
- STARPU_REDUX : starpu_data.h
- STARPU_REGRESSION_BASED : starpu_perfmodel.h
- STARPU_RW : starpu_data.h
- STARPU_SCRATCH : starpu_data.h
- STARPU_SEQ : starpu_task.h
- STARPU_SPMD : starpu_task.h
- STARPU_TASK_BLOCKED : starpu_task.h
- STARPU_TASK_BLOCKED_ON_DATA : starpu_task.h
- STARPU_TASK_BLOCKED_ON_TAG : starpu_task.h
- STARPU_TASK_BLOCKED_ON_TASK : starpu_task.h
- STARPU_TASK_FINISHED : starpu_task.h
- STARPU_TASK_READY : starpu_task.h
- STARPU_TASK_RUNNING : starpu_task.h
- STARPU_TOP_DATA_BOOLEAN : starpu_top.h
- STARPU_TOP_DATA_FLOAT : starpu_top.h
- STARPU_TOP_DATA_INTEGER : starpu_top.h
- STARPU_TOP_PARAM_BOOLEAN : starpu_top.h
- STARPU_TOP_PARAM_ENUM : starpu_top.h
- STARPU_TOP_PARAM_FLOAT : starpu_top.h
- STARPU_TOP_PARAM_INTEGER : starpu_top.h
- STARPU_UNKNOWN_INTERFACE_ID : starpu_data_interfaces.h
- STARPU_UNUSED : starpu_data.h
- STARPU_VARIABLE_INTERFACE_ID : starpu_data_interfaces.h
- STARPU_VECTOR_INTERFACE_ID : starpu_data_interfaces.h
- STARPU_VOID_INTERFACE_ID : starpu_data_interfaces.h
- STARPU_W : starpu_data.h
- STARPU_WORKER_LIST : starpu_worker.h

### - t -

- TOP_TYPE_CONTINUE : starpu_top.h
- TOP_TYPE_DEBUG : starpu_top.h
- TOP_TYPE_DISABLE : starpu_top.h
- TOP_TYPE_ENABLE : starpu_top.h
- TOP_TYPE_GO : starpu_top.h
- TOP_TYPE_SET : starpu_top.h
- TOP_TYPE_UNKNOW : starpu_top.h